Subject: [Isis-wg] Fw: I-D Action:draft-ietf-ccamp-isis-interas-te-extension-03.txt

From: Mach Chen <[email-masked]>
Date: Tue, 26 Aug 2008 10:18:43 +0800

Hi,

We have already updated the draft according to the comments received during 
the ISIS WG Last Call from Hannes Gredler and Les Ginsberg.

Hannes and Les, could you please confirm whether this revision addresses 
your comments?

Best regards,
Mach

--------------------------------------------------
From: <[email-masked]>
Sent: Monday, August 25, 2008 11:30 AM
To: <[email-masked]>
Cc: <[email-masked]>
Subject: I-D Action:draft-ietf-ccamp-isis-interas-te-extension-03.txt

> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> This draft is a work item of the Common Control and Measurement Plane 
> Working Group of the IETF.
>
>
> Title           : ISIS Extensions in Support of Inter-AS Multiprotocol 
> Label Switching (MPLS) and Generalized MPLS (GMPLS) Traffic Engineering
> Author(s)       : M. Chen, R. Zhang
> Filename        : draft-ietf-ccamp-isis-interas-te-extension-03.txt
> Pages           : 20
> Date            : 2008-08-24
>
> This document describes extensions to the ISIS (ISIS) protocol to
> support Multiprotocol Label Switching (MPLS) and Generalized MPLS
> (GMPLS) Traffic Engineering (TE) for multiple Autonomous Systems
> (ASes). It defines ISIS-TE extensions for the flooding of TE
> information about inter-AS links which can be used to perform inter-
> AS TE path computation.
>
>
>
> No support for flooding information from within one AS to another AS
> is proposed or defined in this document.
>
> Conventions used in this document
>
> The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
> "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
> document are to be interpreted as described in RFC-2119 [RFC2119].
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-ccamp-isis-interas-te-extension-03.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>

> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/isis-wg

---

From: Hannes Gredler <[email-masked]>
Date: Tue, 26 Aug 2008 14:55:30 +0200

hi mach,

the update looks fine to me.

one minor nit that i brought up at the IETF meeting in dublin
is that perhaps rather than referencing GENAPP for describing the
flooding procedures, rfc4971 shall be referenced.

main reason is that i do not anticipate multiple interoperable
implementations of GENAPP, and hence GEANPP not progressing fast on
the standards track, whereas rfc4971 is a reference able document.

/hannes

---

From: Christian Hopps <[email-masked]>
Date: Tue, 26 Aug 2008 16:33:32 -0400

The plan is to move forward with GENAPP as without some user of GENAPP  
there's nothing to implement.

Chris.

---

From: Mach Chen <[email-masked]>
Date: Wed, 27 Aug 2008 16:01:33 +0800

Hannes,

I guess you would agree with Chris's point, me too:)

And I hope the GENAPP draft would progress fast!

Best regards,
Mach

--------------------------------------------------
From: "Christian Hopps" <[email-masked]>
Sent: Wednesday, August 27, 2008 4:33 AM
To: "Hannes Gredler" <[email-masked]>
Cc: "Christian Hopps" <[email-masked]>; "Mach Chen" <[email-masked]>;
"Les Ginsberg (ginsberg)" <[email-masked]>; "isis mailing list"
<[email-masked]>
Subject: Re: [Isis-wg] Fw: I-D
Action:draft-ietf-ccamp-isis-interas-te-extension-03.txt

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 27 Aug 2008 01:38:15 -0700

Mach -

One editorial nit:

In Section 3.1 2nd paragraph page 8:

s/GNINFO/GENINFO

On a more substantive note, the discussion of sub-TLV allocation that
you added into Section 6.2 is clearly an improvement, but it still gives
me cause for concern. You say:

" the sub-TLVs which are defined in 
   [ISIS-TE], [ISIS-TE-V3] and other documents for describing the TE 
   properties of an TE link are applicable to describe an inter-AS TE 
   link and MAY be included in the Inter-AS Reachability TLV when 
   adverting inter-AS TE links. So, these sub-TLVs need to be 
   registered in the ISIS sub-TLV registry for TLV 141. And in order to 
   simplify the registration, we suggest using the same registry value 
   as they are registered in the ISIS sub-TLV registry for TLV 22."

This suggests that:

1)Every subTLV in the TLV22 registry needs to be added to the TLV141
subTLV registry - and any future definitions have to be added in both
places regardless of whether they are for TLV22 or TLV141 (or both).

2)It may be acceptable for a subTLV which is used in both TLV22 and
TLV141 to have different number assignments in the two TLV registries
(though you recommend against this).

I would prefer that we insist upon a single shared registry so that the
issues of duplicate registrations and/or different numerical assignments
never arises.

This would then eliminate the need to repeat the existing TLV22 subTLV
assignments in this document (as you do immediately below the quoted
text) - and it would eliminate confusion between the statement above and
the statement later in the same section:

"...the new sub-TLVs MUST be defined from a sub-
   TLV registry which is shared by these two TLVs."

   Les

> -----Original Message-----
> From: Mach Chen [mailto:[email-masked]]
> Sent: Monday, August 25, 2008 7:19 PM
> To: isis mailing list
> Cc: Hannes Gredler; Les Ginsberg (ginsberg)
> Subject: Fw: I-D
> Hannes and Les, could you please confirm whether this revision
addresses
http://www.ietf.org/internet-drafts/draft-ietf-ccamp-isis-interas-te-
> extension-03.txt
> begin 666 draft-ietf-ccamp-isis-interas-te-extension-03.txt
> M0V]N=&5N="U4>7!E.B!T97AT+W!L86EN#0I#;VYT96YT+4E$.B \,C P."TP
> <."TR-#(P,C,T.2Y)+41 :65T9BYO<F<^#0H-"@``
> `
> end

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 27 Aug 2008 12:01:51 +0100

Hi,

Yes, I think Les is right.

In RSVP we have got in a fine mess by having several objects with a set of 
identical TLVs. The IANA registry is a mess because people forget to request 
that all of the objects are updated with a new TLV (or a place-holder if the 
TLV isn't carried on the object).

So, creating a single tidy registry that both 141 and 22 can point to would 
be nice.

This looks pretty simple to me.

The registry is currently called: "Registry Name: Sub-TLVs for TLV 22"
We would change this to "Registry Name: Sub-TLVs for TLVs 22, 141, and 222"

We would add columns to the registry to show:
"May be present on TLV 22"
"May be present on TLV 141"
"May be present on TLV 222"

Does this work for everyone?

Cheers,
Adrian

----- Original Message ----- 
From: "Les Ginsberg (ginsberg)" <[email-masked]>
To: "Mach Chen" <[email-masked]>; "isis mailing list" <[email-masked]>
Cc: "Hannes Gredler" <[email-masked]>
Sent: Wednesday, August 27, 2008 9:38 AM
Subject: Re: [Isis-wg] 
I-DAction:draft-ietf-ccamp-isis-interas-te-extension-03.txt

---

From: Mach Chen <[email-masked]>
Date: Wed, 27 Aug 2008 20:40:24 +0800

Les,

> places regardless of whether they are for TLV22 or TLV141 (or both).

I think this is a feasible suggestion.

> (though you recommend against this).

It's work, but it may bring some confusion/difficulty to registration or 
implement. That's why I suggest using the same registry value for both TLV 
22 and 141.

> issues of duplicate registrations and/or different numerical assignments

That will be perfect if we can get a single shared registry both for TLV 22 
and TLV 141. As Adrian pointed out in another email, we only have a registry 
called "Sub-TLVs for TLV 22". So if we insist on a single shared registry, 
change the current registry name may be good idea and is simple.

Best regards,
Mach

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 27 Aug 2008 08:23:18 -0700

Adrian -

Your proposal works for me.

   Les

> From: [email-masked] [mailto:[email-masked]] On
Behalf
> Of Adrian Farrel
> Sent: Wednesday, August 27, 2008 4:02 AM
> To: isis mailing list
> Subject: Re: [Isis-wg]I-DAction:draft-ietf-ccamp-isis-interas-te-
> extension-03.txt
> 
> Hi,
> 
> that all of the objects are updated with a new TLV (or a place-holder
if
> the
> >> We have already updated the draft according to the comments
received
> >> during
> >> Subject: I-D
> >> > Filename        :
draft-ietf-ccamp-isis-interas-te-extension-03.txt